package app.navigation.matchday.components;

import app.navigation.AbstractNavigationHeader;
import app.navigation.matchday.MatchdayNavigation;
import com.vaadin.flow.component.html.Label;

public class MatchdayNavigationHeader extends AbstractNavigationHeader<MatchdayNavigation> {

    public MatchdayNavigationHeader(MatchdayNavigation navigation) {
        super(navigation);
    }

    @Override
    protected void defineChildren() {
        removeAll();
        add(new Label("Season:"), navigation.getSeasonSelect());
        add(new Label("Matchday:"), navigation.getMatchdaySelect());
    }
}
